* SAS Read-In Program
*
* Name: plan_char_2009_readin.sas
*
* Purpose: Read-In the delimited flat file PLAN_CHAR_2009.
*
* Delimiter: Fixed Column
*
* Date: 23DEC14   Time: 14:33
*
* Programmer: Adam Hendricks, Adam.Hendricks@gdit.com, 515-645-3015
*
*;

%let dirpath = .; * <--  Directory Path for Input Flat File in FILENAME Statement *;

filename in  "%trim(&dirpath)/plan_char_2009.dat" lrecl=1003;

libname  out '.'; * <--  Directory Path for Output Library in LIBNAME Statement   *;

* Start *;
data out.PLAN_CHAR_2009;
  length CONTRACT_ID                      $5
         PLAN_ID                          $3
         FORMULARY_ID                     $8
         CONTRACT_NAME                    $150
         PLAN_NAME                        $75
         ORGANIZATION_MARKETING_NAME      $150
         EFFECTIVE_DATE                   $10
         ORGANIZATION_TYPE                $2
         PLAN_TYPE                        $2
         DEMO_TYPE                        $1
         REINSURANCE_DEMO_TYPE            $1
         SNP_TYPE                         $1
         DRUG_BENEFIT_TYPE                $1
         EGWP_INDICATOR                   $1
         EGHP_CALENDAR_YEAR_FLAG          $1
         COV_CRITERIA                     $1
         NATIONAL_PDP                     $1
         GAP_COVERAGE_TYPE                $2
         DED_APPLY                        $1
         DED_AMT                          8
         DED_APPLY_ALL                    $1
         DED_GENERIC_COPAY                8
         FREE_FIRST_FILL                  $1
         PRE_ICL_APPLY                    $1
         ICL_APPLY                        $1
         ICL_AMT                          8
         POST_OOPT_APPLY                  $1
         OOPT_AMT                         8
         EXCLUDED_DRUGS                   $1
         REDUCED_COST_SHARE               $1
         REDUCED_DED                      $1
         REDUCED_PREICL_CS                $1
         REDUCED_GAP_CS                   $1
         REDUCED_OOPT_CS                  $1
         SPECIALTY_TIER                   $2
         NAT_RX_COV_YN                    $1
         LIMITED_GAP_BENEFIT              $1
         LIMITED_GAP_BENEFIT_TYPE         $7
         LIMITED_GAP_BENEFIT_AMT          8
         FREE_GENERICS                    $1
         FREE_GENERICS_AMT                8
         SPECIALTY_ACCESS                 $1
         OTC_UM_PROGRAM                   $1
         PRE_ICL_DRUG_TYPE_TIER_01-PRE_ICL_DRUG_TYPE_TIER_07       $6
         PRE_ICL_INP_1M_COPAY_TIER_01-PRE_ICL_INP_1M_COPAY_TIER_07 8
         PRE_ICL_INP_1M_COINS_TIER_01-PRE_ICL_INP_1M_COINS_TIER_07 8
         GAP_TIER_01-GAP_TIER_07                                   $1
         GAP_PARTIAL_TIER_01-GAP_PARTIAL_TIER_07                   $1
         GAP_PARTIAL_TYPE_TIER_01-GAP_PARTIAL_TYPE_TIER_07         $8
         GAP_DRUG_TYPE_TIER_01-GAP_DRUG_TYPE_TIER_07               $6
         GAP_INP_1M_COPAY_TIER_01-GAP_INP_1M_COPAY_TIER_07         8
         GAP_INP_1M_COINS_TIER_01-GAP_INP_1M_COINS_TIER_07         8;

  format CONTRACT_ID                      $5.
         PLAN_ID                          $3.
         FORMULARY_ID                     $8.
         CONTRACT_NAME                    $150.
         PLAN_NAME                        $75.
         ORGANIZATION_MARKETING_NAME      $150.
         EFFECTIVE_DATE                   $10.
         ORGANIZATION_TYPE                $2.
         PLAN_TYPE                        $2.
         DEMO_TYPE                        $1.
         REINSURANCE_DEMO_TYPE            $1.
         SNP_TYPE                         $1.
         DRUG_BENEFIT_TYPE                $1.
         EGWP_INDICATOR                   $1.
         EGHP_CALENDAR_YEAR_FLAG          $1.
         COV_CRITERIA                     $1.
         NATIONAL_PDP                     $1.
         GAP_COVERAGE_TYPE                $2.
         DED_APPLY                        $1.
         DED_AMT                          12.2
         DED_APPLY_ALL                    $1.
         DED_GENERIC_COPAY                12.2
         FREE_FIRST_FILL                  $1.
         PRE_ICL_APPLY                    $1.
         ICL_APPLY                        $1.
         ICL_AMT                          12.2
         POST_OOPT_APPLY                  $1.
         OOPT_AMT                         12.2
         EXCLUDED_DRUGS                   $1.
         REDUCED_COST_SHARE               $1.
         REDUCED_DED                      $1.
         REDUCED_PREICL_CS                $1.
         REDUCED_GAP_CS                   $1.
         REDUCED_OOPT_CS                  $1.
         SPECIALTY_TIER                   $2.
         NAT_RX_COV_YN                    $1.
         LIMITED_GAP_BENEFIT              $1.
         LIMITED_GAP_BENEFIT_TYPE         $7.
         LIMITED_GAP_BENEFIT_AMT          12.2
         FREE_GENERICS                    $1.
         FREE_GENERICS_AMT                12.2
         SPECIALTY_ACCESS                 $1.
         OTC_UM_PROGRAM                   $1.
         PRE_ICL_DRUG_TYPE_TIER_01-PRE_ICL_DRUG_TYPE_TIER_07       $6.
         PRE_ICL_INP_1M_COPAY_TIER_01-PRE_ICL_INP_1M_COPAY_TIER_07 12.2
         PRE_ICL_INP_1M_COINS_TIER_01-PRE_ICL_INP_1M_COINS_TIER_07 12.2
         GAP_TIER_01-GAP_TIER_07                                   $1.
         GAP_PARTIAL_TIER_01-GAP_PARTIAL_TIER_07                   $1.
         GAP_PARTIAL_TYPE_TIER_01-GAP_PARTIAL_TYPE_TIER_07         $8.
         GAP_DRUG_TYPE_TIER_01-GAP_DRUG_TYPE_TIER_07               $6.
         GAP_INP_1M_COPAY_TIER_01-GAP_INP_1M_COPAY_TIER_07         12.2
         GAP_INP_1M_COINS_TIER_01-GAP_INP_1M_COINS_TIER_07         12.2;

  label  CONTRACT_ID                      = "Contract ID"
         PLAN_ID                          = "Plan ID"
         FORMULARY_ID                     = "Formulary Identifier"
         CONTRACT_NAME                    = "Contract Name"
         PLAN_NAME                        = "Plan Name"
         ORGANIZATION_MARKETING_NAME      = "Organization Marketing Name"
         EFFECTIVE_DATE                   = "Effective Date"
         ORGANIZATION_TYPE                = "Organization Type"
         PLAN_TYPE                        = "Plan Type"
         DEMO_TYPE                        = "Demo Type"
         REINSURANCE_DEMO_TYPE            = "Part D Reinsurance Demo Type"
         SNP_TYPE                         = "SNP Type"
         DRUG_BENEFIT_TYPE                = "Drug Benefit Type"
         EGWP_INDICATOR                   = "EGWP Indicator"
         EGHP_CALENDAR_YEAR_FLAG          = "EGHP Calendar Year Indicator"
         COV_CRITERIA                     = "Coverage Criteria (A/B or B only)"
         NATIONAL_PDP                     = "Indicates whether plan belongs to a National PDP sponsor"
         GAP_COVERAGE_TYPE                = "Type of gap coverage offered"
         DED_APPLY                        = "How Deductible is applied"
         DED_AMT                          = "Deductible Amount"
         DED_APPLY_ALL                    = "Type of drugs to which deductible applies"
         DED_GENERIC_COPAY                = "Copay for generic drugs in deductible phase"
         FREE_FIRST_FILL                  = "Indicates whether first prescription fill is free of charge"
         PRE_ICL_APPLY                    = "How Pre-ICL cost shares are applied"
         ICL_APPLY                        = "How ICL is applied"
         ICL_AMT                          = "ICL Amount"
         POST_OOPT_APPLY                  = "How Post OOP threshold cost shares are applied"
         OOPT_AMT                         = "OOP Threshold Amount"
         EXCLUDED_DRUGS                   = "Indicates whether the plan covers Part D excluded drugs"
         REDUCED_COST_SHARE               = "Indicates whether the plan has reduced cost sharing below Medicare standard"
         REDUCED_DED                      = "Flag for reduced deductible amount"
         REDUCED_PREICL_CS                = "Flag for reduced pre-ICL cost sharing amounts"
         REDUCED_GAP_CS                   = "Flag for reduced coverage gap cost sharing amounts"
         REDUCED_OOPT_CS                  = "Flag for reduced post out-of-pocket threshold cost sharing amounts"
         SPECIALTY_TIER                   = "Specialty Tier Number"
         NAT_RX_COV_YN                    = "Plan offers national prescription coverage"
         LIMITED_GAP_BENEFIT              = "Plan offers limited benefit above ICL (Not considered Gap Coverage)"
         LIMITED_GAP_BENEFIT_TYPE         = "Drug types limited post-ICL benefit applies to"
         LIMITED_GAP_BENEFIT_AMT          = "Dollar amount of limited post-ICL benefit"
         FREE_GENERICS                    = "Plan offers free Generics up to a maximum amount"
         FREE_GENERICS_AMT                = "Maximum amount for free Generics"
         SPECIALTY_ACCESS                 = "Plan restricts access for some drugs to certain specialty pharmacies"
         OTC_UM_PROGRAM                   = "Plan pays for Over-the-Counter medications (OTCs) under the Utilization Management Program"
         PRE_ICL_DRUG_TYPE_TIER_01        = "Pre-ICL Drug Type for Tier 1"
         PRE_ICL_DRUG_TYPE_TIER_02        = "Pre-ICL Drug Type for Tier 2"
         PRE_ICL_DRUG_TYPE_TIER_03        = "Pre-ICL Drug Type for Tier 3"
         PRE_ICL_DRUG_TYPE_TIER_04        = "Pre-ICL Drug Type for Tier 4"
         PRE_ICL_DRUG_TYPE_TIER_05        = "Pre-ICL Drug Type for Tier 5"
         PRE_ICL_DRUG_TYPE_TIER_06        = "Pre-ICL Drug Type for Tier 6"
         PRE_ICL_DRUG_TYPE_TIER_07        = "Pre-ICL Drug Type for Tier 7"
         PRE_ICL_INP_1M_COPAY_TIER_01     = "Pre-ICL In-network Pharmacy 1 month Copay for Tier 1"
         PRE_ICL_INP_1M_COPAY_TIER_02     = "Pre-ICL In-network Pharmacy 1 month Copay for Tier 2"
         PRE_ICL_INP_1M_COPAY_TIER_03     = "Pre-ICL In-network Pharmacy 1 month Copay for Tier 3"
         PRE_ICL_INP_1M_COPAY_TIER_04     = "Pre-ICL In-network Pharmacy 1 month Copay for Tier 4"
         PRE_ICL_INP_1M_COPAY_TIER_05     = "Pre-ICL In-network Pharmacy 1 month Copay for Tier 5"
         PRE_ICL_INP_1M_COPAY_TIER_06     = "Pre-ICL In-network Pharmacy 1 month Copay for Tier 6"
         PRE_ICL_INP_1M_COPAY_TIER_07     = "Pre-ICL In-network Pharmacy 1 month Copay for Tier 7"
         PRE_ICL_INP_1M_COINS_TIER_01     = "Pre-ICL In-network Pharmacy 1 month Coinsurance for Tier 1"
         PRE_ICL_INP_1M_COINS_TIER_02     = "Pre-ICL In-network Pharmacy 1 month Coinsurance for Tier 2"
         PRE_ICL_INP_1M_COINS_TIER_03     = "Pre-ICL In-network Pharmacy 1 month Coinsurance for Tier 3"
         PRE_ICL_INP_1M_COINS_TIER_04     = "Pre-ICL In-network Pharmacy 1 month Coinsurance for Tier 4"
         PRE_ICL_INP_1M_COINS_TIER_05     = "Pre-ICL In-network Pharmacy 1 month Coinsurance for Tier 5"
         PRE_ICL_INP_1M_COINS_TIER_06     = "Pre-ICL In-network Pharmacy 1 month Coinsurance for Tier 6"
         PRE_ICL_INP_1M_COINS_TIER_07     = "Pre-ICL In-network Pharmacy 1 month Coinsurance for Tier 7"
         GAP_TIER_01                      = "Gap Coverage on Tier 1"
         GAP_TIER_02                      = "Gap Coverage on Tier 2"
         GAP_TIER_03                      = "Gap Coverage on Tier 3"
         GAP_TIER_04                      = "Gap Coverage on Tier 4"
         GAP_TIER_05                      = "Gap Coverage on Tier 5"
         GAP_TIER_06                      = "Gap Coverage on Tier 6"
         GAP_TIER_07                      = "Gap Coverage on Tier 7"
         GAP_PARTIAL_TIER_01              = "Partial Gap Coverage on Tier 1"
         GAP_PARTIAL_TIER_02              = "Partial Gap Coverage on Tier 2"
         GAP_PARTIAL_TIER_03              = "Partial Gap Coverage on Tier 3"
         GAP_PARTIAL_TIER_04              = "Partial Gap Coverage on Tier 4"
         GAP_PARTIAL_TIER_05              = "Partial Gap Coverage on Tier 5"
         GAP_PARTIAL_TIER_06              = "Partial Gap Coverage on Tier 6"
         GAP_PARTIAL_TIER_07              = "Partial Gap Coverage on Tier 7"
         GAP_PARTIAL_TYPE_TIER_01         = "Type of Partial Gap Coverage on Tier 1"
         GAP_PARTIAL_TYPE_TIER_02         = "Type of Partial Gap Coverage on Tier 2"
         GAP_PARTIAL_TYPE_TIER_03         = "Type of Partial Gap Coverage on Tier 3"
         GAP_PARTIAL_TYPE_TIER_04         = "Type of Partial Gap Coverage on Tier 4"
         GAP_PARTIAL_TYPE_TIER_05         = "Type of Partial Gap Coverage on Tier 5"
         GAP_PARTIAL_TYPE_TIER_06         = "Type of Partial Gap Coverage on Tier 6"
         GAP_PARTIAL_TYPE_TIER_07         = "Type of Partial Gap Coverage on Tier 7"
         GAP_DRUG_TYPE_TIER_01            = "Gap Drug Type for Tier 1"
         GAP_DRUG_TYPE_TIER_02            = "Gap Drug Type for Tier 2"
         GAP_DRUG_TYPE_TIER_03            = "Gap Drug Type for Tier 3"
         GAP_DRUG_TYPE_TIER_04            = "Gap Drug Type for Tier 4"
         GAP_DRUG_TYPE_TIER_05            = "Gap Drug Type for Tier 5"
         GAP_DRUG_TYPE_TIER_06            = "Gap Drug Type for Tier 6"
         GAP_DRUG_TYPE_TIER_07            = "Gap Drug Type for Tier 7"
         GAP_INP_1M_COPAY_TIER_01         = "Gap In-network Pharmacy 1 month Copay for Tier 1"
         GAP_INP_1M_COPAY_TIER_02         = "Gap In-network Pharmacy 1 month Copay for Tier 2"
         GAP_INP_1M_COPAY_TIER_03         = "Gap In-network Pharmacy 1 month Copay for Tier 3"
         GAP_INP_1M_COPAY_TIER_04         = "Gap In-network Pharmacy 1 month Copay for Tier 4"
         GAP_INP_1M_COPAY_TIER_05         = "Gap In-network Pharmacy 1 month Copay for Tier 5"
         GAP_INP_1M_COPAY_TIER_06         = "Gap In-network Pharmacy 1 month Copay for Tier 6"
         GAP_INP_1M_COPAY_TIER_07         = "Gap In-network Pharmacy 1 month Copay for Tier 7"
         GAP_INP_1M_COINS_TIER_01         = "Gap In-network Pharmacy 1 month Coinsurance for Tier 1"
         GAP_INP_1M_COINS_TIER_02         = "Gap In-network Pharmacy 1 month Coinsurance for Tier 2"
         GAP_INP_1M_COINS_TIER_03         = "Gap In-network Pharmacy 1 month Coinsurance for Tier 3"
         GAP_INP_1M_COINS_TIER_04         = "Gap In-network Pharmacy 1 month Coinsurance for Tier 4"
         GAP_INP_1M_COINS_TIER_05         = "Gap In-network Pharmacy 1 month Coinsurance for Tier 5"
         GAP_INP_1M_COINS_TIER_06         = "Gap In-network Pharmacy 1 month Coinsurance for Tier 6"
         GAP_INP_1M_COINS_TIER_07         = "Gap In-network Pharmacy 1 month Coinsurance for Tier 7";

  infile in missover truncover;

  input @0001  CONTRACT_ID                      $5.
        @0006  PLAN_ID                          $3.
        @0009  FORMULARY_ID                     $8.
        @0017  CONTRACT_NAME                    $150.
        @0167  PLAN_NAME                        $75.
        @0242  ORGANIZATION_MARKETING_NAME      $150.
        @0392  EFFECTIVE_DATE                   $10.
        @0402  ORGANIZATION_TYPE                $2.
        @0404  PLAN_TYPE                        $2.
        @0406  DEMO_TYPE                        $1.
        @0407  REINSURANCE_DEMO_TYPE            $1.
        @0408  SNP_TYPE                         $1.
        @0409  DRUG_BENEFIT_TYPE                $1.
        @0410  EGWP_INDICATOR                   $1.
        @0411  EGHP_CALENDAR_YEAR_FLAG          $1.
        @0412  COV_CRITERIA                     $1.
        @0413  NATIONAL_PDP                     $1.
        @0414  GAP_COVERAGE_TYPE                $2.
        @0416  DED_APPLY                        $1.
        @0417  DED_AMT                          12.2
        @0429  DED_APPLY_ALL                    $1.
        @0430  DED_GENERIC_COPAY                12.2
        @0442  FREE_FIRST_FILL                  $1.
        @0443  PRE_ICL_APPLY                    $1.
        @0444  ICL_APPLY                        $1.
        @0445  ICL_AMT                          12.2
        @0457  POST_OOPT_APPLY                  $1.
        @0458  OOPT_AMT                         12.2
        @0470  EXCLUDED_DRUGS                   $1.
        @0471  REDUCED_COST_SHARE               $1.
        @0472  REDUCED_DED                      $1.
        @0473  REDUCED_PREICL_CS                $1.
        @0474  REDUCED_GAP_CS                   $1.
        @0475  REDUCED_OOPT_CS                  $1.
        @0476  SPECIALTY_TIER                   $2.
        @0478  NAT_RX_COV_YN                    $1.
        @0479  LIMITED_GAP_BENEFIT              $1.
        @0480  LIMITED_GAP_BENEFIT_TYPE         $7.
        @0487  LIMITED_GAP_BENEFIT_AMT          12.2
        @0499  FREE_GENERICS                    $1.
        @0500  FREE_GENERICS_AMT                12.2
        @0512  SPECIALTY_ACCESS                 $1.
        @0513  OTC_UM_PROGRAM                   $1.
        @0514 (PRE_ICL_DRUG_TYPE_TIER_01-PRE_ICL_DRUG_TYPE_TIER_07)       ($6.)
        @0556 (PRE_ICL_INP_1M_COPAY_TIER_01-PRE_ICL_INP_1M_COPAY_TIER_07) (12.2)
        @0640 (PRE_ICL_INP_1M_COINS_TIER_01-PRE_ICL_INP_1M_COINS_TIER_07) (12.2)
        @0724 (GAP_TIER_01-GAP_TIER_07)                                   ($1.)
        @0731 (GAP_PARTIAL_TIER_01-GAP_PARTIAL_TIER_07)                   ($1.)
        @0738 (GAP_PARTIAL_TYPE_TIER_01-GAP_PARTIAL_TYPE_TIER_07)         ($8.)
        @0794 (GAP_DRUG_TYPE_TIER_01-GAP_DRUG_TYPE_TIER_07)               ($6.)
        @0836 (GAP_INP_1M_COPAY_TIER_01-GAP_INP_1M_COPAY_TIER_07)         (12.2)
        @0920 (GAP_INP_1M_COINS_TIER_01-GAP_INP_1M_COINS_TIER_07)         (12.2);

run;

title 'Part D Plan Characteristics 2009';
proc contents data=out.PLAN_CHAR_2009 varnum;
proc print data=out.PLAN_CHAR_2009(obs=5);
  title2 'Sample Listing - First 5 Rows';
run;
proc means data=out.PLAN_CHAR_2009;
  title2 'Simple Means';
run;

proc freq data=out.PLAN_CHAR_2009;
  title2 'Freqs';
  table COV_CRITERIA
        DED_APPLY
        DED_APPLY_ALL
        DEMO_TYPE
        DRUG_BENEFIT_TYPE
        EGHP_CALENDAR_YEAR_FLAG
        EGWP_INDICATOR
        EXCLUDED_DRUGS
        FREE_FIRST_FILL
        FREE_GENERICS
        GAP_COVERAGE_TYPE
        GAP_PARTIAL_TIER_01-GAP_PARTIAL_TIER_07
        GAP_TIER_01-GAP_TIER_07
        ICL_APPLY
        LIMITED_GAP_BENEFIT
        NATIONAL_PDP
        NAT_RX_COV_YN
        ORGANIZATION_TYPE
        OTC_UM_PROGRAM
        PLAN_TYPE
        POST_OOPT_APPLY
        PRE_ICL_APPLY
        REDUCED_COST_SHARE
        REDUCED_DED
        REDUCED_GAP_CS
        REDUCED_OOPT_CS
        REDUCED_PREICL_CS
        REINSURANCE_DEMO_TYPE
        SNP_TYPE
        SPECIALTY_ACCESS
        SPECIALTY_TIER/missing;
run;

* End of Program *;
